
Katello - Feature #24669

RFE: Support 'check_manifest' API endpoint - Manifest upload cannot be idempotent

08/21/2018 12:28 PM - Andrew Kofink

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Scenario:

API developers (those consuming Katello's API) have no way to check if a given manifest has been uploaded to Katello. The

manifest_history shows the upstreamConsumer information, but API developers shouldn't be expected to inspect the manifest zip file

manually to match this upstreamConsumer information to determine if the manifest has already been uploaded.

Example/Motivation:

In foreman-ansible-modules (Nailgun being the API consumer), we have a katello_manifest module that allows uploading a manifest.

In the spirit of most conf management tools, Ansible modules strive to be idempotent. This is impossible for manifest upload with the

current Katello API.

- Related FAM issue: https://github.com/theforeman/foreman-ansible-modules/issues/172

Related issues:

Related to Foreman - Tracker #27680: API bugs that need workarounds in forema... New

History

#1 - 08/22/2018 06:07 PM - Andrew Kofink

- Triaged changed from No to Yes

#2 - 12/13/2019 02:27 PM - Evgeni Golov

- Related to Tracker #27680: API bugs that need workarounds in foreman-ansible-modules added
